Skip to content

Fetch content replications

Request

The endpoint allow users to get details of content replication. Source or target filter is required

Security
oauth2_as_a_user(Required scopes: content.readcontent.replication.audit) or oauth2_as_a_server(Required scopes: content.readcontent.replication.audit)
Query
filter.source.contentIdinteger

ID of source content. If present then source platform should also be present

filter.source.platformstring

Source platform type. If present then source content ID should also be present

Enum:"firstup""slack""sharepoint"
filter.target.contentIdstring

ID of published content. If present then target platform should also be present

filter.target.platformstring

Target platform type. If present then target content ID should also be present

Enum:"firstup""slack""sharepoint"
filter.workflowIdstring

ID of workflow

curl -i -X GET \
  'https://partner.socialchorus.com/v2/content/replications?filter.source.contentId=0&filter.source.platform=firstup&filter.target.contentId=string&filter.target.platform=firstup&filter.workflowId=string' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>'

Responses

Success

Bodyapplication/json
dataArray of objectsrequired
Example:
[ { "sourceContentId": "3", "sourcePlatform": "firstup", "targetContentId": "1", "targetPlatform": "firstup", "replicatedAt": "2000-01-01T00:00:00Z", "targetLocationId": "10", "workflowId": 2 }, { "sourceContentId": "4", "sourcePlatform": "firstup", "targetContentId": "723", "targetPlatform": "slack", "publicationDate": "2020-01-01T00:00:00Z", "targetLocationId": "47", "workflowId": 7 } ]
Response
{ "data": [ {}, {} ] }